List plugin outputs

Retrieves the vulnerability outputs for a plugin. The list returned is limited to 5,000. To retrieve more than 5,000 vulnerability outputs, use the export-request API. Additionally, this endpoint only returns data less than 450 days (15 months) old.

Note: This endpoint is not intended for large or frequent exports of vulnerability or assets data. If you experience errors, reduce the volume, rate, or concurrency of your requests or narrow your filters. Contact support if you continue to experience errors. Additionally, Tenable recommends the POST /vulns/export endpoint for large or frequent exports of vulnerability data, and the POST /assets/v2/export endpoint for large or frequent exports of assets data.

For information and best practices for retrieving vulnerability and assets data from Tenable Vulnerability Management, see Retrieve Vulnerability Data from Vulnerability Management and Retrieve Asset Data from Vulnerability Management.

Requires the Basic [16] user role. See Roles.

Path Params
int32
required

The ID of the plugin. You can find the plugin ID by examining the output of the GET /workbenches/vulnerabilities endpoint.

Query Params
int32

The number of days of data prior to and including today that should be returned.

string

The name of the filter to apply to the exported scan report. You can find available filters by using the GET /filters/workbenches/vulnerabilities endpoint. For more information about the format of this parameter, see Workbench Filters.

string

The operator of the filter to apply to the exported scan report. You can find the operators for the filter using the GET /filters/workbenches/vulnerabilities endpoint. For more information about the format of this parameter, see Workbench Filters.

string

The value of the filter to apply to the exported scan report. You can find valid values for the filter in the 'control' attribute of the objects returned by the GET /filters/workbenches/vulnerabilities endpoint. For more information about the format of this parameter, see Workbench Filters.

string
enum

For multiple filters, specifies whether to use the AND or the OR logical operator. The default is AND. For more information about this parameter, see Workbench Filters.

Allowed:
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

403

Returned if you do not have permission to view plugin outputs.

Language
Credentials
Header
Request
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/html